SecurityDesc (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.SecurityDesc class
Date: 2021-05-10

net.sourceforge.jnlp

## Class SecurityDesc

- java.lang.Object
- - net.sourceforge.jnlp.SecurityDesc

-     public class SecurityDesc
      extends java.lang.Object

  The security element.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecurityDesc.RequestedPermissionLevel` Represents the security level requested by an applet/application, as specified in its JNLP or HTML.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object` | `ALL_PERMISSIONS` All permissions.
    `static java.lang.Object` | `J2EE_PERMISSIONS` J2EE permissions.
    `static java.lang.Object` | `SANDBOX_PERMISSIONS` Applet permissions.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityDesc(JNLPFile file, java.lang.Object type, java.net.URL downloadHost)` Create a security descriptor.
    `SecurityDesc(JNLPFile file, SecurityDesc.RequestedPermissionLevel requestedPermissionLevel, java.lang.Object type, java.net.URL downloadHost)` Create a security descriptor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String[]` | `getJnlpRIAPermissions()`
    `java.security.PermissionCollection` | `getPermissions(java.security.CodeSource cs)`
    `SecurityDesc.RequestedPermissionLevel` | `getRequestedPermissionLevel()`
    `java.security.PermissionCollection` | `getSandBoxPermissions()`
    `java.lang.Object` | `getSecurityType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_PERMISSIONS

          public static final java.lang.Object ALL_PERMISSIONS

      All permissions.

    - #### SANDBOX_PERMISSIONS

          public static final java.lang.Object SANDBOX_PERMISSIONS

      Applet permissions.

    - #### J2EE_PERMISSIONS

          public static final java.lang.Object J2EE_PERMISSIONS

      J2EE permissions.

  - ### Constructor Detail

    - #### SecurityDesc

          public SecurityDesc(JNLPFile file,
                              SecurityDesc.RequestedPermissionLevel requestedPermissionLevel,
                              java.lang.Object type,
                              java.net.URL downloadHost)

      Create a security descriptor.
      Parameters:
        `file` - the JNLP file
        `requestedPermissionLevel` - the permission level specified in the JNLP
        `type` - the type of security
        `downloadHost` - the download host (can always connect to)

    - #### SecurityDesc

          public SecurityDesc(JNLPFile file,
                              java.lang.Object type,
                              java.net.URL downloadHost)

      Create a security descriptor.
      Parameters:
        `file` - the JNLP file
        `type` - the type of security
        `downloadHost` - the download host (can always connect to)

  - ### Method Detail

    - #### getSecurityType

          public java.lang.Object getSecurityType()

      Returns:
        the permissions type, one of: ALL_PERMISSIONS, SANDBOX_PERMISSIONS, J2EE_PERMISSIONS.

    - #### getPermissions

          public java.security.PermissionCollection getPermissions(java.security.CodeSource cs)

      Parameters:
        `cs` - the CodeSource to get permissions for
      Returns:
        a PermissionCollection containing the basic permissions granted depending on the security type.

    - #### getRequestedPermissionLevel

          public SecurityDesc.RequestedPermissionLevel getRequestedPermissionLevel()

      Returns:
        the permission level requested in the JNLP

    - #### getSandBoxPermissions

          public java.security.PermissionCollection getSandBoxPermissions()

      Returns:
        a PermissionCollection containing the sandbox permissions

    - #### getJnlpRIAPermissions

          public static java.lang.String[] getJnlpRIAPermissions()

      Returns:
        all the names of the basic JNLP system properties accessible by RIAs

Submit a bug or feature